Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Cargo-geiger fails to install due to dependency `structopt = "^0.2.17"` #59

Closed
Bodup opened this issue Jun 11, 2019 · 3 comments

Comments

Projects
None yet
3 participants
@Bodup
Copy link

commented Jun 11, 2019

Cargo returns the following error when trying to install cargo-geiger

cargo install cargo-geiger
Updating crates.io index
Installing cargo-geiger v0.7.1
error: failed to compile cargo-geiger v0.7.1, intermediate artifacts can be found at C:\Users\user\AppData\Local\Temp\cargo-installDsbRuJ
Caused by:
failed to select a version for the requirement structopt = "^0.2.17"
candidate versions found which didn't match: 0.2.16, 0.2.15, 0.2.14, ...
location searched: crates.io index
required by package cargo-geiger v0.7.1

@icefoxen

This comment has been minimized.

Copy link
Collaborator

commented Jun 11, 2019

Looks like 0.2.17 was yanked on June 2nd, see TeXitoi/structopt#200

anderejd added a commit that referenced this issue Jun 12, 2019

@anderejd

This comment has been minimized.

Copy link
Owner

commented Jun 12, 2019

Thanks for the report!

That's weird to yank something due to semver rules before publishing a version to replace it. The master branch is ready to publish with updated dependencies, will cargo publish when Travis is done.

@anderejd

This comment has been minimized.

Copy link
Owner

commented Jun 12, 2019

0.7.2 is published on crates.io.

@anderejd anderejd closed this Jun 12, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.